//=============================================================================
//Mutator 75mmcannon by XenoAisam
//=============================================================================

class Mutator75mmcannon extends Mutator;

function bool CheckReplacement( Actor Other, out byte bSuperRelevant )
{
    local int i;
    local WeaponLocker L;

    bSuperRelevant = 0;
    if ( xWeaponBase(Other) != None )
    {
        if ( xWeaponBase(Other).WeaponType == class'XWeapons.RocketLauncher' )
            xWeaponBase(Other).WeaponType = class'mmcannon.Portable75mm';
    }
    else if ( WeaponPickup(Other) != None )
    {
        if ( string(Other.Class) ~= "xWeapons.RocketLauncherPickup" )
            ReplaceWith( Other, "mmcannon.Sherman75mmPickup");
        else
            return true;
    }
    else if (WeaponLocker(Other) != none )
    {
	L = WeaponLocker(Other);
        for (i = 0; i < L.Weapons.Length; i++)
        {
            if ( L.Weapons[i].WeaponClass == class'XWeapons.RocketLauncher' )
                L.Weapons[i].WeaponClass = class'mmcannon.Portable75mm';
        }
        return true;
    }
    else
        return true;

    return false;
}

defaultproperties
{
    GroupName="Sherman75mmcannon"
    FriendlyName="Sherman 75mm cannon"
    Description="Replace 'Rocket Launcher' to 'Sherman 75mm portable cannon'."
}
