//=============================================================================
// PowerSpeciesSherman. Try to activate species statistic mutator to play with her special weapon
//=============================================================================
class PowerSpeciesSherman extends SPECIES_Merc
	abstract;

static function bool Setup(xPawn P, xUtil.PlayerRecord rec)
{
    local Mutator mut;

	Super.Setup(P, rec);

	if (Bot(P.Controller) != None) {
		AIController(P.Controller).Skill += 1;
	}

	// change default weapon
	for ( mut=P.Level.Game.BaseMutator; mut!=None; mut=mut.NextMutator ) {
//		testing Rokiahi;
		if ( mut.GroupName == "Species" ) {
			P.RequiredEquipment[0]="mmcannon.Portable75mm"; //this will give Sherman Armored Infantry her desired weapon
			break;
		}
	}

	return true;
}

defaultproperties
{
}
